### Method

# Gimp Vector2 rotate_val

#### Declaration [src]

    GimpVector2
    gimp_vector2_rotate_val (
      GimpVector2 vector,
      gdouble alpha
    )

#### Description [src]

Identical to `gimp_vector2_rotate()`, but the vector is passed by value rather than by reference.

#### Parameters

`alpha`

  Type: `gdouble`

  An angle (in radians).

#### Return value

Type: `GimpVector2`

A `GimpVector2` representing `vector` rotated by `alpha` radians.